package com.sw.mes.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.production.dao.TruncationReccutDetailsDao;
import com.sw.mes.production.entity.TruncationReccutDetails;
import com.sw.mes.production.service.TruncationReccutDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;


/**
 * @Author
 * @Description：
 * @Date: Create in
 * @Modified By:
 */
@Service
@Transactional
public class TruncationReccutDetailsServiceImpl extends BaseServiceImpl<TruncationReccutDetails> implements TruncationReccutDetailsService {
    TruncationReccutDetailsDao dao;

    @Autowired
    public void setDao(TruncationReccutDetailsDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public void deleteByReccutId(Long reccutId) {
        dao.delete(reccutId);
    }

    @Override
    public String findCrystalNoBySectionNo(String sectionNo) {
        return dao.findCrystalNoBySectionNo(sectionNo);
    }

    @Override
    public Map<String, Object> findBySectionNo(String no) {
        return dao.findBySectionNo(no);
    }
}
